%define destdir /opt/share/Modules/modulefiles/aocl

Name:		aocl-linux-module
Version:	1.0
Release:	2%{?dist}
Summary:	Set up aocl library modules in appropriate place

Group:		Development/Languages
License:	Other

Requires:	aocl-linux-aocc aocl-linux-gcc
Requires:	environment-modules-local
Requires:	bash coreutils

%description
Set up aocl library modules in appropriate place

%prep

%build

%install
mkdir -p %{buildroot}%{destdir}
mkdir -p %{buildroot}%{destdir}/aocc
mkdir -p %{buildroot}%{destdir}/gcc

%post
rm -f %{destdir}/aocc/* %{destdir}/gcc/*
for i in aocc gcc; do
  D=$(ls -d /opt/AMD/aocl/aocl-linux-${i}-*/*module)
  if [ -f "$D" ]; then
   cp "$D" %{destdir}/$i/default
   echo 'conflict aocl' >> %{destdir}/$i/default
  fi
done

%triggerin -- aocl-linux-aocc aocl-linux-gcc
rm -f %{destdir}/aocc/* %{destdir}/gcc/*
for i in aocc gcc; do
  D=$(ls -d /opt/AMD/aocl/aocl-linux-${i}-*/*module)
  if [ -f "$D" ]; then
   cp "$D" %{destdir}/$i/default
   echo 'conflict aocl' >> %{destdir}/$i/default
  fi
done

%files
%dir %{destdir}
%dir %{destdir}/aocc
%dir %{destdir}/gcc
%ghost %{destdir}/aocc/default
%ghost %{destdir}/gcc/default

%changelog
* Thu Feb 11 2021 Josko Plazonic <plazonic@princeton.edu> - 1.0-1
- initial build
